
%define lib_major       0
%define lib_name        %mklibname xfprint %{lib_major}
%define version		4.4.0
%define release		1
%define __libtoolize /bin/true

Summary: 	Print dialog and printer manager for Xfce
Name: 		xfprint
Version: 	%{version}
Release: 	%mkrel %{release}
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	a2ps 
BuildRequires: 	glib2-devel >= 2.0.6
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	a2ps
Buildrequires:	cups-devel 
BuildRequires:	cups-common
BuildRequires:	chrpath

%description
Xfprint contains a print dialog and a printer manager for Xfce.

%package -n %{lib_name}
Summary:	Libraries for the Xfce Printer Manager
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Libraries for the Xfce Printer Manager.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the Xfce Printer Manager
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	xfprint-devel

%description -n %{lib_name}-devel
Libraries and header files for the Xfce Printer Manager.


%prep
%setup -q -n %{name}-%{version}

%configure2_5x --enable-letter

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/xfprint-plugins/*.*a 
rm -f %{buildroot}/%{_libdir}/xfce4/mcs-plugins/*.*a

# disable rpath
chrpath -d $RPM_BUILD_ROOT/%{_libdir}/xfce4/xfprint-plugins/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun -n %{lib_name} -p /sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/* 
%{_libdir}/xfce4/*
%{_datadir}/applications/*.desktop
#%{_datadir}/icons/* 
%{_datadir}/xfce4/doc/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libxfprint.so.*
%{_datadir}/gtk-doc/html/
%{_iconsdir}/hicolor/*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/xfprint-1.0.pc
%{_libdir}/libxfprint.*a
%{_libdir}/libxfprint.so
%dir %{_includedir}/xfce4/libxfprint
%{_includedir}/xfce4/libxfprint/*


%changelog
* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112329
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96249
- Fix specs file
- New release 4.3.99.2
- Import xfprint




* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sat Jul 08 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.1-2mdv2007.0
- rebuild

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sun Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.r20246.1mdk
- svn r20246
- add libpackages

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.r19739.1mdk
- 4.3.0 from svn r19739
- don't run libtoolize
- disable rpath

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 4.2.2-3mdk
- rebuild for new cups and gnutls (instead of openssl)

* Wed Jun 01 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- buildrequires cups-common for lpr

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- requires desktop-common-data
- update filelist

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final
- add desktop files

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-mcs-manager-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- drop libpackages, update filelist
- buildrequires cups-devel

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial package from Charles A Edwards <eslrahc@bellsouth.net>
